package com.muyu.product.mapper;

import java.util.List;
import com.muyu.product.domain.CategoryAttribute;

/**
 * 品类属性中间Mapper接口
 * 
 * @author Saisai
 * @date 2024-02-29
 */
public interface CategoryAttributeMapper 
{
    /**
     * 查询品类属性中间
     * 
     * @param id 品类属性中间主键
     * @return 品类属性中间
     */
    public CategoryAttribute selectCategoryAttributeById(Long id);

    /**
     * 查询品类属性中间列表
     * 
     * @param categoryAttribute 品类属性中间
     * @return 品类属性中间集合
     */
    public List<CategoryAttribute> selectCategoryAttributeList(CategoryAttribute categoryAttribute);

    /**
     * 新增品类属性中间
     * 
     * @param categoryAttribute 品类属性中间
     * @return 结果
     */
    public int insertCategoryAttribute(CategoryAttribute categoryAttribute);

    /**
     * 修改品类属性中间
     * 
     * @param categoryAttribute 品类属性中间
     * @return 结果
     */
    public int updateCategoryAttribute(CategoryAttribute categoryAttribute);

    /**
     * 删除品类属性中间
     * 
     * @param id 品类属性中间主键
     * @return 结果
     */
    public int deleteCategoryAttributeById(Long id);

    /**
     * 批量删除品类属性中间
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCategoryAttributeByIds(Long[] ids);
}
