package com.muyu.product.mapper;

import java.util.List;
import com.muyu.product.domain.CategoryInfo;

/**
 * 品类信息Mapper接口
 * 
 * @author Saisai
 * @date 2024-02-29
 */
public interface CategoryInfoMapper 
{
    /**
     * 查询品类信息
     * 
     * @param id 品类信息主键
     * @return 品类信息
     */
    public CategoryInfo selectCategoryInfoById(Long id);

    /**
     * 查询品类信息列表
     * 
     * @param categoryInfo 品类信息
     * @return 品类信息集合
     */
    public List<CategoryInfo> selectCategoryInfoList(CategoryInfo categoryInfo);

    /**
     * 新增品类信息
     * 
     * @param categoryInfo 品类信息
     * @return 结果
     */
    public int insertCategoryInfo(CategoryInfo categoryInfo);

    /**
     * 修改品类信息
     * 
     * @param categoryInfo 品类信息
     * @return 结果
     */
    public int updateCategoryInfo(CategoryInfo categoryInfo);

    /**
     * 删除品类信息
     * 
     * @param id 品类信息主键
     * @return 结果
     */
    public int deleteCategoryInfoById(Long id);

    /**
     * 批量删除品类信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCategoryInfoByIds(Long[] ids);
}
