package com.muyu.product.mapper;

import java.util.List;
import com.muyu.product.domain.Rule;

/**
 * 规格Mapper接口
 * 
 * @author saisai
 * @date 2024-02-29
 */
public interface RuleMapper 
{
    /**
     * 查询规格
     * 
     * @param id 规格主键
     * @return 规格
     */
    public Rule selectRuleById(Long id);

    /**
     * 查询规格列表
     * 
     * @param rule 规格
     * @return 规格集合
     */
    public List<Rule> selectRuleList(Rule rule);

    /**
     * 新增规格
     * 
     * @param rule 规格
     * @return 结果
     */
    public int insertRule(Rule rule);

    /**
     * 修改规格
     * 
     * @param rule 规格
     * @return 结果
     */
    public int updateRule(Rule rule);

    /**
     * 删除规格
     * 
     * @param id 规格主键
     * @return 结果
     */
    public int deleteRuleById(Long id);

    /**
     * 批量删除规格
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRuleByIds(Long[] ids);
}
