package com.muyu.product.mapper;

import java.util.List;
import com.muyu.product.domain.RuleProduct;

/**
 * 规格商品中间Mapper接口
 * 
 * @author saisai
 * @date 2024-02-29
 */
public interface RuleProductMapper 
{
    /**
     * 查询规格商品中间
     * 
     * @param id 规格商品中间主键
     * @return 规格商品中间
     */
    public RuleProduct selectRuleProductById(Long id);

    /**
     * 查询规格商品中间列表
     * 
     * @param ruleProduct 规格商品中间
     * @return 规格商品中间集合
     */
    public List<RuleProduct> selectRuleProductList(RuleProduct ruleProduct);

    /**
     * 新增规格商品中间
     * 
     * @param ruleProduct 规格商品中间
     * @return 结果
     */
    public int insertRuleProduct(RuleProduct ruleProduct);

    /**
     * 修改规格商品中间
     * 
     * @param ruleProduct 规格商品中间
     * @return 结果
     */
    public int updateRuleProduct(RuleProduct ruleProduct);

    /**
     * 删除规格商品中间
     * 
     * @param id 规格商品中间主键
     * @return 结果
     */
    public int deleteRuleProductById(Long id);

    /**
     * 批量删除规格商品中间
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRuleProductByIds(Long[] ids);
}
