package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.Address;

/**
 * 地区Service接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface IAddressService
{
    /**
     * 查询地区
     *
     * @param id 地区主键
     * @return 地区
     */
    public Address selectAddressById(Long id);

    /**
     * 查询地区列表
     *
     * @param address 地区
     * @return 地区集合
     */
    public List<Address> selectAddressList(Address address);

    /**
     * 新增地区
     *
     * @param address 地区
     * @return 结果
     */
    public int insertAddress(Address address);

    /**
     * 修改地区
     *
     * @param address 地区
     * @return 结果
     */
    public int updateAddress(Address address);

    /**
     * 批量删除地区
     *
     * @param ids 需要删除的地区主键集合
     * @return 结果
     */
    public int deleteAddressByIds(Long[] ids);

    /**
     * 删除地区信息
     *
     * @param id 地区主键
     * @return 结果
     */
    public int deleteAddressById(Long id);
}
