package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.Attribute;

/**
 * 属性Service接口
 * 
 * @author Saisai
 * @date 2024-02-29
 */
public interface IAttributeService 
{
    /**
     * 查询属性
     * 
     * @param id 属性主键
     * @return 属性
     */
    public Attribute selectAttributeById(Long id);

    /**
     * 查询属性列表
     * 
     * @param attribute 属性
     * @return 属性集合
     */
    public List<Attribute> selectAttributeList(Attribute attribute);

    /**
     * 新增属性
     * 
     * @param attribute 属性
     * @return 结果
     */
    public int insertAttribute(Attribute attribute);

    /**
     * 修改属性
     * 
     * @param attribute 属性
     * @return 结果
     */
    public int updateAttribute(Attribute attribute);

    /**
     * 批量删除属性
     * 
     * @param ids 需要删除的属性主键集合
     * @return 结果
     */
    public int deleteAttributeByIds(Long[] ids);

    /**
     * 删除属性信息
     * 
     * @param id 属性主键
     * @return 结果
     */
    public int deleteAttributeById(Long id);
}
