package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.BrandCategory;

/**
 * 品牌品类中间Service接口
 * 
 * @author Saisai
 * @date 2024-02-29
 */
public interface IBrandCategoryService 
{
    /**
     * 查询品牌品类中间
     * 
     * @param id 品牌品类中间主键
     * @return 品牌品类中间
     */
    public BrandCategory selectBrandCategoryById(Long id);

    /**
     * 查询品牌品类中间列表
     * 
     * @param brandCategory 品牌品类中间
     * @return 品牌品类中间集合
     */
    public List<BrandCategory> selectBrandCategoryList(BrandCategory brandCategory);

    /**
     * 新增品牌品类中间
     * 
     * @param brandCategory 品牌品类中间
     * @return 结果
     */
    public int insertBrandCategory(BrandCategory brandCategory);

    /**
     * 修改品牌品类中间
     * 
     * @param brandCategory 品牌品类中间
     * @return 结果
     */
    public int updateBrandCategory(BrandCategory brandCategory);

    /**
     * 批量删除品牌品类中间
     * 
     * @param ids 需要删除的品牌品类中间主键集合
     * @return 结果
     */
    public int deleteBrandCategoryByIds(Long[] ids);

    /**
     * 删除品牌品类中间信息
     * 
     * @param id 品牌品类中间主键
     * @return 结果
     */
    public int deleteBrandCategoryById(Long id);
}
