package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.ProductInfo;

/**
 * 商品;Service接口
 * 
 * @author Saisai
 * @date 2024-02-29
 */
public interface IProductInfoService 
{
    /**
     * 查询商品;
     * 
     * @param id 商品;主键
     * @return 商品;
     */
    public ProductInfo selectProductInfoById(Long id);

    /**
     * 查询商品;列表
     * 
     * @param productInfo 商品;
     * @return 商品;集合
     */
    public List<ProductInfo> selectProductInfoList(ProductInfo productInfo);

    /**
     * 新增商品;
     * 
     * @param productInfo 商品;
     * @return 结果
     */
    public int insertProductInfo(ProductInfo productInfo);

    /**
     * 修改商品;
     * 
     * @param productInfo 商品;
     * @return 结果
     */
    public int updateProductInfo(ProductInfo productInfo);

    /**
     * 批量删除商品;
     * 
     * @param ids 需要删除的商品;主键集合
     * @return 结果
     */
    public int deleteProductInfoByIds(Long[] ids);

    /**
     * 删除商品;信息
     * 
     * @param id 商品;主键
     * @return 结果
     */
    public int deleteProductInfoById(Long id);
}
